Imagick::solarizeImage
Imagick::spliceImage
Imagick
PHP Manual

# Imagick::sparseColorImage

Interpolates colors

### Description

public bool Imagick::sparseColorImage ( int `$SPARSE_METHOD` , array `$arguments` [, int `$channel` = Imagick::CHANNEL_DEFAULT ] )

Given the arguments array containing numeric values this method interpolates the colors found at those coordinates across the whole image using `sparse_method`. This method is available if Imagick has been compiled against ImageMagick version 6.4.5 or newer.

### Parameters

`SPARSE_METHOD`

  Refer to this list of sparse method constants

`arguments`

  An array containing the coordinates. The array is in format array(1,1, 2,45)

`CHANNEL`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channel constants using bitwise operators. Defaults to `Imagick::CHANNEL_DEFAULT`. Refer to this list of channel constants

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.